Bug 1291623 - katello-restore doesnt clear previously synced repos
katello-restore doesnt clear previously synced repos
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Christine Fouant
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 05:10 EST by Pradeep Kumar Surisetty
Modified: 2017-01-12 14:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 14:21:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kumar Surisetty 2015-12-15 05:10:49 EST
Description of problem:

As soon as satellite installed, katello-backup has been taken. 

After syncing few rhel5 repos (x86_64, i386), i tried to restore to previously backuped state using katello-restore.  Every thing is restored, except pulp content.  Previously Synced pulp content is still there after restoring too. 


[root@sat ~]# du -sh /var/lib/pulp/
39G	/var/lib/pulp/
[root@sat ~]# 


Version-Release number of selected component (if applicable):
katello-2.2.0.16-1.el7sat.noarch
pulp-server-2.6.0.17-1.el7sat.noarch
candlepin-0.9.49.9-1.el7.noarch


How reproducible:


Steps to Reproduce:
1. Take katello backup after satelitte install
2. Sync few repos
3. restore to previously backed up state

Actual results:

pulp content is not deleted. 

Expected results:

Restore is expected to roll backup original state.  Not retain the content.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:08:13 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-01-12 14:21:54 EST
This is an older bug which I do not envision being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.